#ifndef __EPD2IN13_H__
#define __EPD2IN13_H__
#include "stm32f1xx_hal.h"
#include "IMAGE_213_BW.h"
#include "board.h"


void EPD_W21_WriteCMD(uint8_t command);
void EPD_W21_WriteDATA(uint8_t command);

extern void driver_delay_us(unsigned int xus);
extern void EPD_W21_Init(void);
void Display_Num(void);


void EPD_display_init(void);//EPD init 
void full_display(void pic_display(void)); //full  display
void partial_display(uint16_t x_start,uint16_t x_end,uint16_t y_start,uint16_t y_end ,void partial_old(void),void partial_new(void)); //partial display
void lut(void);
void lut1(void);
void CheckStatus(void);
void deep_sleep(void); //Enter deep sleep mode
// full display
void pic_display_white(void);
void pic_display1(void);
void pic_display2(void);
//partial display
void partial_full00(void);
void partial_full01(void);
void partial_full02(void);
void partial_full03(void);

void partial00(void);
void partial01(void);
void partial02(void);
void partial03(void);
void partial04(void);
void partial05(void);
void partial06(void);
void partial07(void);
void partial08(void);
void partial09(void);

#endif 
/***********************************************************
						end file
***********************************************************/



