/************************************************************************************
*  Copyright (c), 2019, HelTec Automatic(TM) Technology co.,LTD.
*            All rights reserved.
*
* Http:    www.heltec.cn
* Email:   suppor@heltec.cn
* WebShop: heltec.taobao.com
*
* File name: main.c
* Processor: STM32F103VBT6
* Compiler : MDK fo ARM 5.26
* 
* Author : Aaron.Lee
* Version: 1.00
* Date   : 2019.3.4
* Email  : suppor@heltec.cn
* Modification: none
* 
* Description: Heltec E-Ink series Display example code
*
* Others: none;
*
* Function List:
*	1. int main(void);//
*
* History: none;
*
*************************************************************************************/

/* Includes ------------------------------------------------------------------*/
#include "main.h"
#include "IMAGE_213_BW.h"
#include "function.h"
#include "board.h"
#include "e_ink_213_BW.h"



unsigned char k=2;

extern void SystemClock_Config(void);
extern void MX_GPIO_Init(void);
extern void MX_SPI1_Init(void);
extern void MX_USART1_UART_Init(void);


uint8_t  m;
int	main(void)
{

	HAL_Init();

  SystemClock_Config();
  MX_GPIO_Init();
  MX_SPI1_Init();
  MX_USART1_UART_Init();

  DebugPrintf("hello");
	
  EPD_display_init(); //EPD init
	full_display(pic_display1); //pic1
	HAL_Delay(500);
	full_display(pic_display2); //pic2
	HAL_Delay(100);	
	/*********partial display 0~9*********/
	partial_display(0,104,0,212,partial_full00, partial_full02); //partial full display	  
  HAL_Delay(50);	
  Display_Num();
	/******screen clear*****/
  EPD_display_init(); //EPD init
	full_display(pic_display_white); //pic_white
	HAL_Delay(100);
/*********partial full screen display *********/
while(1)
	 {	 	
	partial_display(0,104,0,212,partial_full00, partial_full01); //partial full display pic1	
	HAL_Delay(300);
	EPD_display_init(); //EPD init
	full_display(pic_display_white); //pic_white
	partial_display(0,104,0,212,partial_full00, partial_full02); //partial full display	pic2	
	HAL_Delay(300); 
  EPD_display_init(); //EPD init	
	full_display(pic_display_white); //pic_white
	HAL_Delay(100);
	 };
 }



/**
  * @brief  This function is executed in case of error occurrence.
  * @retval None
  */
void Error_Handler(void)
{
  /* USER CODE BEGIN Error_Handler_Debug */
  /* User can add his own implementation to report the HAL error return state */

  /* USER CODE END Error_Handler_Debug */
}

#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(uint8_t *file, uint32_t line)
{ 
  /* USER CODE BEGIN 6 */
  /* User can add his own implementation to report the file name and line number,
     tex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
  /* USER CODE END 6 */
}
#endif /* USE_FULL_ASSERT */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
